#ifndef UDP_MANAGER_H__
#define UDP_MANAGER_H__

#define NVS_KEY_UDP_PORT      "udp_port"
#define UDP_DEFAULT_PORT      5003

void udp_manager_init();
esp_err_t udp_manager_set_port(int16_t udp_port);
int udp_send_data_blocking(ip4_addr_t ip ,char* buf, size_t buf_len, uint32_t timeout_ms);
bool is_udp_ready();
void udp_stop();
void udp_start();
#endif